VPS侦探论坛

 找回密码
 注册
查看: 84|回复: 1

oracle linux 7.9 安装LNMP1.8失败

[复制链接]
发表于 2021-11-25 18:39:06 | 显示全部楼层 |阅读模式



本帖最后由 benshu 于 2021-11-25 18:41 编辑

Checking ...
Nginx: OK
MySQL: OK
Error: PHP install failed.
Sorry, Failed to install LNMP!
Please visit https://bbs.vpser.net/forum-25-1.html feedback errors and logs.
You can download /root/lnmp-install.log from your server,and upload lnmp-install.log to LNMP Forum.

日志下载
http://8l6.cn/mOn1i
第一次在ARM小鸡上安装,就报错了,请大佬帮忙。




美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2021-11-25 20:47:50 | 显示全部楼层


/bin/sh /opt/build/libzip-1.7.3/build/lnmp1.8/src/php-7.4.21/libtool --silent --preserve-dup-deps --mode=compile cc -DZEND_ENABLE_STATIC_TSRMLS_CACHE=1 -Iext/standard/ -I/opt/build/libzip-1.7.3/build/lnmp1.8/src/php-7.4.21/ext/standard/ -DPHP_ATOM_INC -I/opt/build/libzip-1.7.3/build/lnmp1.8/src/php-7.4.21/include -I/opt/build/libzip-1.7.3/build/lnmp1.8/src/php-7.4.21/main -I/opt/build/libzip-1.7.3/build/lnmp1.8/src/php-7.4.21 -I/opt/build/libzip-1.7.3/build/lnmp1.8/src/php-7.4.21/ext/date/lib -I/usr/include/libxml2 -I/usr/include/libpng15 -I/usr/include/freetype2 -I/usr/local/include -I/opt/build/libzip-1.7.3/build/lnmp1.8/src/php-7.4.21/ext/mbstring/libmbfl -I/opt/build/libzip-1.7.3/build/lnmp1.8/src/php-7.4.21/ext/mbstring/libmbfl/mbfl -I/opt/build/libzip-1.7.3/build/lnmp1.8/src/php-7.4.21/TSRM -I/opt/build/libzip-1.7.3/build/lnmp1.8/src/php-7.4.21/Zend    -I/usr/local/include -g -O2 -fvisibility=hidden -Wall -Wno-strict-aliasing -DZEND_SIGNALS   -c /opt/build/libzip-1.7.3/build/lnmp1.8/src/php-7.4.21/ext/standard/array.c -o ext/standard/array.lo
In file included from /opt/build/libzip-1.7.3/build/lnmp1.8/src/php-7.4.21/Zend/zend.h:356:0,
                 from /opt/build/libzip-1.7.3/build/lnmp1.8/src/php-7.4.21/main/php.h:33,
                 from /opt/build/libzip-1.7.3/build/lnmp1.8/src/php-7.4.21/ext/standard/array.c:24:
/opt/build/libzip-1.7.3/build/lnmp1.8/src/php-7.4.21/ext/standard/array.c: In function ‘zif_array_sum’:
/opt/build/libzip-1.7.3/build/lnmp1.8/src/php-7.4.21/Zend/zend_operators.h:674:2: error: invalid 'asm': invalid operand prefix '%c'
  __asm__ goto(
  ^
make: *** [ext/standard/array.lo] Error 1


这个貌似是aarch64架构下的兼容性问题,x86下没这问题
可以尝试使用centos 8试试
或者升级一下libzip试试

  1. wget http://soft.vpser.net/lib/libzip/libzip-1.3.2.tar.xz
  2. tar Jxf libzip-1.3.2.tar.xz
  3. ./configure
  4. make && make install
  5. export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig:$PKG_CONFIG_PATH
复制代码
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2021-12-3 05:41 , Processed in 0.042747 second(s), 16 queries .

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表